Name:           python-postfix-mta-sts-resolver
Version:        1.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Daemon which provides TLS client policy for Postfix via socketmap, according to domain MTA-STS policy

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/Snawoot/postfix-mta-sts-resolver
Source:         %{pypi_source postfix_mta_sts_resolver}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'postfix-mta-sts-resolver' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-postfix-mta-sts-resolver
Summary:        %{summary}

%description -n python3-postfix-mta-sts-resolver %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-postfix-mta-sts-resolver dev,postgres,redis,sqlite,uvloop


%prep
%autosetup -p1 -n postfix_mta_sts_resolver-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,postgres,redis,sqlite,uvloop


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-postfix-mta-sts-resolver -f %{pyproject_files}


%changelog
%autochangelog